Changeset 914


Ignore:
Timestamp:
Apr 10, 2008 3:08:12 PM (11 years ago)
Author:
ladanyi
Message:

result of run_autotools

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r865 r914  
    40024002# START
    40034003
    4004 # On Cygwin and AIX, building DLLs doesn't work
    4005 case $build in
    4006   *-cygwin*)
    4007     coin_disable_shared=yes
    4008     platform=Cygwin
    4009   ;;
    4010   *-aix*)
    4011     coin_disable_shared=yes
    4012     platform=AIX
    4013   ;;
    4014   *-mingw*)
    4015     coin_disable_shared=yes
    4016     platform="Msys"
    4017 #    case "$CXX" in
    4018 #      cl*)
    4019 #        coin_disable_shared=yes
    4020 #        platform="Msys with cl"
    4021 #    ;;
    4022 #    esac
    4023   ;;
    4024 esac
     4004# Test if force_shared has been set
     4005if test "x" = xforce_shared; then
     4006  if test x$enable_shared = xno; then
     4007    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     4008echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     4009   { (exit 1); exit 1; }; }
     4010  fi
     4011  enable_shared=yes;
     4012else
     4013  # On Cygwin and AIX, building DLLs doesn't work
     4014  case $build in
     4015    *-cygwin*)
     4016      coin_disable_shared=yes
     4017      platform=Cygwin
     4018    ;;
     4019    *-aix*)
     4020      coin_disable_shared=yes
     4021      platform=AIX
     4022    ;;
     4023    *-mingw*)
     4024      coin_disable_shared=yes
     4025      platform="Msys"
     4026#      case "$CXX" in
     4027#        cl*)
     4028#          coin_disable_shared=yes
     4029#          platform="Msys with cl"
     4030#      ;;
     4031#      esac
     4032    ;;
     4033  esac
     4034fi
    40254035if test x"$coin_disable_shared" = xyes; then
    40264036  if test x"$enable_shared" = xyes; then
     
    57275737*-*-irix6*)
    57285738  # Find out which ABI we are using.
    5729   echo '#line 5729 "configure"' > conftest.$ac_ext
     5739  echo '#line 5739 "configure"' > conftest.$ac_ext
    57305740  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57315741  (eval $ac_compile) 2>&5
     
    68616871
    68626872# Provide some information about the compiler.
    6863 echo "$as_me:6863:" \
     6873echo "$as_me:6873:" \
    68646874     "checking for Fortran 77 compiler version" >&5
    68656875ac_compiler=`set X $ac_compile; echo $2`
     
    79287938   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79297939   -e 's:$: $lt_compiler_flag:'`
    7930    (eval echo "\"\$as_me:7930: $lt_compile\"" >&5)
     7940   (eval echo "\"\$as_me:7940: $lt_compile\"" >&5)
    79317941   (eval "$lt_compile" 2>conftest.err)
    79327942   ac_status=$?
    79337943   cat conftest.err >&5
    7934    echo "$as_me:7934: \$? = $ac_status" >&5
     7944   echo "$as_me:7944: \$? = $ac_status" >&5
    79357945   if (exit $ac_status) && test -s "$ac_outfile"; then
    79367946     # The compiler can only warn and ignore the option if not recognized
     
    81968206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81978207   -e 's:$: $lt_compiler_flag:'`
    8198    (eval echo "\"\$as_me:8198: $lt_compile\"" >&5)
     8208   (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
    81998209   (eval "$lt_compile" 2>conftest.err)
    82008210   ac_status=$?
    82018211   cat conftest.err >&5
    8202    echo "$as_me:8202: \$? = $ac_status" >&5
     8212   echo "$as_me:8212: \$? = $ac_status" >&5
    82038213   if (exit $ac_status) && test -s "$ac_outfile"; then
    82048214     # The compiler can only warn and ignore the option if not recognized
     
    83008310   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83018311   -e 's:$: $lt_compiler_flag:'`
    8302    (eval echo "\"\$as_me:8302: $lt_compile\"" >&5)
     8312   (eval echo "\"\$as_me:8312: $lt_compile\"" >&5)
    83038313   (eval "$lt_compile" 2>out/conftest.err)
    83048314   ac_status=$?
    83058315   cat out/conftest.err >&5
    8306    echo "$as_me:8306: \$? = $ac_status" >&5
     8316   echo "$as_me:8316: \$? = $ac_status" >&5
    83078317   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    83088318   then
     
    1064510655  lt_status=$lt_dlunknown
    1064610656  cat > conftest.$ac_ext <<EOF
    10647 #line 10647 "configure"
     10657#line 10657 "configure"
    1064810658#include "confdefs.h"
    1064910659
     
    1074510755  lt_status=$lt_dlunknown
    1074610756  cat > conftest.$ac_ext <<EOF
    10747 #line 10747 "configure"
     10757#line 10757 "configure"
    1074810758#include "confdefs.h"
    1074910759
     
    1308913099   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1309013100   -e 's:$: $lt_compiler_flag:'`
    13091    (eval echo "\"\$as_me:13091: $lt_compile\"" >&5)
     13101   (eval echo "\"\$as_me:13101: $lt_compile\"" >&5)
    1309213102   (eval "$lt_compile" 2>conftest.err)
    1309313103   ac_status=$?
    1309413104   cat conftest.err >&5
    13095    echo "$as_me:13095: \$? = $ac_status" >&5
     13105   echo "$as_me:13105: \$? = $ac_status" >&5
    1309613106   if (exit $ac_status) && test -s "$ac_outfile"; then
    1309713107     # The compiler can only warn and ignore the option if not recognized
     
    1319313203   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1319413204   -e 's:$: $lt_compiler_flag:'`
    13195    (eval echo "\"\$as_me:13195: $lt_compile\"" >&5)
     13205   (eval echo "\"\$as_me:13205: $lt_compile\"" >&5)
    1319613206   (eval "$lt_compile" 2>out/conftest.err)
    1319713207   ac_status=$?
    1319813208   cat out/conftest.err >&5
    13199    echo "$as_me:13199: \$? = $ac_status" >&5
     13209   echo "$as_me:13209: \$? = $ac_status" >&5
    1320013210   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1320113211   then
     
    1476314773   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1476414774   -e 's:$: $lt_compiler_flag:'`
    14765    (eval echo "\"\$as_me:14765: $lt_compile\"" >&5)
     14775   (eval echo "\"\$as_me:14775: $lt_compile\"" >&5)
    1476614776   (eval "$lt_compile" 2>conftest.err)
    1476714777   ac_status=$?
    1476814778   cat conftest.err >&5
    14769    echo "$as_me:14769: \$? = $ac_status" >&5
     14779   echo "$as_me:14779: \$? = $ac_status" >&5
    1477014780   if (exit $ac_status) && test -s "$ac_outfile"; then
    1477114781     # The compiler can only warn and ignore the option if not recognized
     
    1486714877   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1486814878   -e 's:$: $lt_compiler_flag:'`
    14869    (eval echo "\"\$as_me:14869: $lt_compile\"" >&5)
     14879   (eval echo "\"\$as_me:14879: $lt_compile\"" >&5)
    1487014880   (eval "$lt_compile" 2>out/conftest.err)
    1487114881   ac_status=$?
    1487214882   cat out/conftest.err >&5
    14873    echo "$as_me:14873: \$? = $ac_status" >&5
     14883   echo "$as_me:14883: \$? = $ac_status" >&5
    1487414884   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1487514885   then
     
    1707417084   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1707517085   -e 's:$: $lt_compiler_flag:'`
    17076    (eval echo "\"\$as_me:17076: $lt_compile\"" >&5)
     17086   (eval echo "\"\$as_me:17086: $lt_compile\"" >&5)
    1707717087   (eval "$lt_compile" 2>conftest.err)
    1707817088   ac_status=$?
    1707917089   cat conftest.err >&5
    17080    echo "$as_me:17080: \$? = $ac_status" >&5
     17090   echo "$as_me:17090: \$? = $ac_status" >&5
    1708117091   if (exit $ac_status) && test -s "$ac_outfile"; then
    1708217092     # The compiler can only warn and ignore the option if not recognized
     
    1734217352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734317353   -e 's:$: $lt_compiler_flag:'`
    17344    (eval echo "\"\$as_me:17344: $lt_compile\"" >&5)
     17354   (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
    1734517355   (eval "$lt_compile" 2>conftest.err)
    1734617356   ac_status=$?
    1734717357   cat conftest.err >&5
    17348    echo "$as_me:17348: \$? = $ac_status" >&5
     17358   echo "$as_me:17358: \$? = $ac_status" >&5
    1734917359   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735017360     # The compiler can only warn and ignore the option if not recognized
     
    1744617456   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1744717457   -e 's:$: $lt_compiler_flag:'`
    17448    (eval echo "\"\$as_me:17448: $lt_compile\"" >&5)
     17458   (eval echo "\"\$as_me:17458: $lt_compile\"" >&5)
    1744917459   (eval "$lt_compile" 2>out/conftest.err)
    1745017460   ac_status=$?
    1745117461   cat out/conftest.err >&5
    17452    echo "$as_me:17452: \$? = $ac_status" >&5
     17462   echo "$as_me:17462: \$? = $ac_status" >&5
    1745317463   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1745417464   then
     
    2022220232echo "$as_me: Applying patches to libtool for Darwin" >&6;}
    2022320233      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20234        -e 's/ -dynamiclib / -dynamiclib -single_module /g' \
    2022420235      libtool > conftest.bla
    2022520236
  • trunk/configure

    r871 r914  
    46184618# START
    46194619
    4620 # On Cygwin and AIX, building DLLs doesn't work
    4621 case $build in
    4622   *-cygwin*)
    4623     coin_disable_shared=yes
    4624     platform=Cygwin
    4625   ;;
    4626   *-aix*)
    4627     coin_disable_shared=yes
    4628     platform=AIX
    4629   ;;
    4630   *-mingw*)
    4631     coin_disable_shared=yes
    4632     platform="Msys"
    4633 #    case "$CXX" in
    4634 #      cl*)
    4635 #        coin_disable_shared=yes
    4636 #        platform="Msys with cl"
    4637 #    ;;
    4638 #    esac
    4639   ;;
    4640 esac
     4620# Test if force_shared has been set
     4621if test "x" = xforce_shared; then
     4622  if test x$enable_shared = xno; then
     4623    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     4624echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     4625   { (exit 1); exit 1; }; }
     4626  fi
     4627  enable_shared=yes;
     4628else
     4629  # On Cygwin and AIX, building DLLs doesn't work
     4630  case $build in
     4631    *-cygwin*)
     4632      coin_disable_shared=yes
     4633      platform=Cygwin
     4634    ;;
     4635    *-aix*)
     4636      coin_disable_shared=yes
     4637      platform=AIX
     4638    ;;
     4639    *-mingw*)
     4640      coin_disable_shared=yes
     4641      platform="Msys"
     4642#      case "$CXX" in
     4643#        cl*)
     4644#          coin_disable_shared=yes
     4645#          platform="Msys with cl"
     4646#      ;;
     4647#      esac
     4648    ;;
     4649  esac
     4650fi
    46414651if test x"$coin_disable_shared" = xyes; then
    46424652  if test x"$enable_shared" = xyes; then
     
    63436353*-*-irix6*)
    63446354  # Find out which ABI we are using.
    6345   echo '#line 6345 "configure"' > conftest.$ac_ext
     6355  echo '#line 6355 "configure"' > conftest.$ac_ext
    63466356  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63476357  (eval $ac_compile) 2>&5
     
    83078317   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83088318   -e 's:$: $lt_compiler_flag:'`
    8309    (eval echo "\"\$as_me:8309: $lt_compile\"" >&5)
     8319   (eval echo "\"\$as_me:8319: $lt_compile\"" >&5)
    83108320   (eval "$lt_compile" 2>conftest.err)
    83118321   ac_status=$?
    83128322   cat conftest.err >&5
    8313    echo "$as_me:8313: \$? = $ac_status" >&5
     8323   echo "$as_me:8323: \$? = $ac_status" >&5
    83148324   if (exit $ac_status) && test -s "$ac_outfile"; then
    83158325     # The compiler can only warn and ignore the option if not recognized
     
    85758585   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85768586   -e 's:$: $lt_compiler_flag:'`
    8577    (eval echo "\"\$as_me:8577: $lt_compile\"" >&5)
     8587   (eval echo "\"\$as_me:8587: $lt_compile\"" >&5)
    85788588   (eval "$lt_compile" 2>conftest.err)
    85798589   ac_status=$?
    85808590   cat conftest.err >&5
    8581    echo "$as_me:8581: \$? = $ac_status" >&5
     8591   echo "$as_me:8591: \$? = $ac_status" >&5
    85828592   if (exit $ac_status) && test -s "$ac_outfile"; then
    85838593     # The compiler can only warn and ignore the option if not recognized
     
    86798689   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86808690   -e 's:$: $lt_compiler_flag:'`
    8681    (eval echo "\"\$as_me:8681: $lt_compile\"" >&5)
     8691   (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
    86828692   (eval "$lt_compile" 2>out/conftest.err)
    86838693   ac_status=$?
    86848694   cat out/conftest.err >&5
    8685    echo "$as_me:8685: \$? = $ac_status" >&5
     8695   echo "$as_me:8695: \$? = $ac_status" >&5
    86868696   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86878697   then
     
    1102411034  lt_status=$lt_dlunknown
    1102511035  cat > conftest.$ac_ext <<EOF
    11026 #line 11026 "configure"
     11036#line 11036 "configure"
    1102711037#include "confdefs.h"
    1102811038
     
    1112411134  lt_status=$lt_dlunknown
    1112511135  cat > conftest.$ac_ext <<EOF
    11126 #line 11126 "configure"
     11136#line 11136 "configure"
    1112711137#include "confdefs.h"
    1112811138
     
    1346813478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346913479   -e 's:$: $lt_compiler_flag:'`
    13470    (eval echo "\"\$as_me:13470: $lt_compile\"" >&5)
     13480   (eval echo "\"\$as_me:13480: $lt_compile\"" >&5)
    1347113481   (eval "$lt_compile" 2>conftest.err)
    1347213482   ac_status=$?
    1347313483   cat conftest.err >&5
    13474    echo "$as_me:13474: \$? = $ac_status" >&5
     13484   echo "$as_me:13484: \$? = $ac_status" >&5
    1347513485   if (exit $ac_status) && test -s "$ac_outfile"; then
    1347613486     # The compiler can only warn and ignore the option if not recognized
     
    1357213582   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357313583   -e 's:$: $lt_compiler_flag:'`
    13574    (eval echo "\"\$as_me:13574: $lt_compile\"" >&5)
     13584   (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
    1357513585   (eval "$lt_compile" 2>out/conftest.err)
    1357613586   ac_status=$?
    1357713587   cat out/conftest.err >&5
    13578    echo "$as_me:13578: \$? = $ac_status" >&5
     13588   echo "$as_me:13588: \$? = $ac_status" >&5
    1357913589   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1358013590   then
     
    1514215152   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514315153   -e 's:$: $lt_compiler_flag:'`
    15144    (eval echo "\"\$as_me:15144: $lt_compile\"" >&5)
     15154   (eval echo "\"\$as_me:15154: $lt_compile\"" >&5)
    1514515155   (eval "$lt_compile" 2>conftest.err)
    1514615156   ac_status=$?
    1514715157   cat conftest.err >&5
    15148    echo "$as_me:15148: \$? = $ac_status" >&5
     15158   echo "$as_me:15158: \$? = $ac_status" >&5
    1514915159   if (exit $ac_status) && test -s "$ac_outfile"; then
    1515015160     # The compiler can only warn and ignore the option if not recognized
     
    1524615256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1524715257   -e 's:$: $lt_compiler_flag:'`
    15248    (eval echo "\"\$as_me:15248: $lt_compile\"" >&5)
     15258   (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
    1524915259   (eval "$lt_compile" 2>out/conftest.err)
    1525015260   ac_status=$?
    1525115261   cat out/conftest.err >&5
    15252    echo "$as_me:15252: \$? = $ac_status" >&5
     15262   echo "$as_me:15262: \$? = $ac_status" >&5
    1525315263   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1525415264   then
     
    1745317463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1745417464   -e 's:$: $lt_compiler_flag:'`
    17455    (eval echo "\"\$as_me:17455: $lt_compile\"" >&5)
     17465   (eval echo "\"\$as_me:17465: $lt_compile\"" >&5)
    1745617466   (eval "$lt_compile" 2>conftest.err)
    1745717467   ac_status=$?
    1745817468   cat conftest.err >&5
    17459    echo "$as_me:17459: \$? = $ac_status" >&5
     17469   echo "$as_me:17469: \$? = $ac_status" >&5
    1746017470   if (exit $ac_status) && test -s "$ac_outfile"; then
    1746117471     # The compiler can only warn and ignore the option if not recognized
     
    1772117731   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772217732   -e 's:$: $lt_compiler_flag:'`
    17723    (eval echo "\"\$as_me:17723: $lt_compile\"" >&5)
     17733   (eval echo "\"\$as_me:17733: $lt_compile\"" >&5)
    1772417734   (eval "$lt_compile" 2>conftest.err)
    1772517735   ac_status=$?
    1772617736   cat conftest.err >&5
    17727    echo "$as_me:17727: \$? = $ac_status" >&5
     17737   echo "$as_me:17737: \$? = $ac_status" >&5
    1772817738   if (exit $ac_status) && test -s "$ac_outfile"; then
    1772917739     # The compiler can only warn and ignore the option if not recognized
     
    1782517835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1782617836   -e 's:$: $lt_compiler_flag:'`
    17827    (eval echo "\"\$as_me:17827: $lt_compile\"" >&5)
     17837   (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
    1782817838   (eval "$lt_compile" 2>out/conftest.err)
    1782917839   ac_status=$?
    1783017840   cat out/conftest.err >&5
    17831    echo "$as_me:17831: \$? = $ac_status" >&5
     17841   echo "$as_me:17841: \$? = $ac_status" >&5
    1783217842   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1783317843   then
     
    2060120611echo "$as_me: Applying patches to libtool for Darwin" >&6;}
    2060220612      sed -e 's/verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"/verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"/' \
     20613        -e 's/ -dynamiclib / -dynamiclib -single_module /g' \
    2060320614      libtool > conftest.bla
    2060420615
Note: See TracChangeset for help on using the changeset viewer.